Package qsardes.descriptor

# Class DescriptorHBondAcceptorsCount

java.lang.Object
qsardes.descriptor.DescriptorHBondAcceptorsCount

All Implemented Interfaces:
  `Descriptor`

Direct Known Subclasses:
  `QsarMEHBondAcceptorsCount`, `QsarWBHBondAcceptorsCount`

public abstract class DescriptorHBondAcceptorsCount extends Object implements Descriptor
Hydrogen bond acceptors count descriptors abstract class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DescriptorHBondAcceptorsCount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `get_descriptor_names()`
  Gets descriptors names.
  `DescriptorType`
  `get_descriptor_type()`
  Gets the descriptor class type.
  `Map<String,String>`
  `get_descriptor_values(AbstractMoleculeBuilder mol_build)`
  Calculates descriptors values.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DescriptorHBondAcceptorsCount

    protected DescriptorHBondAcceptorsCount()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### get_descriptor_type

    public DescriptorType get_descriptor_type()
    Description copied from interface: `Descriptor`
    Gets the descriptor class type.
    Specified by:
      `get_descriptor_type` in interface `Descriptor`
    Returns:
      Descriptor class type.

  - ### get_descriptor_names

    public List<String> get_descriptor_names()
    Description copied from interface: `Descriptor`
    Gets descriptors names.
    Specified by:
      `get_descriptor_names` in interface `Descriptor`
    Returns:
      Descriptor names.

  - ### get_descriptor_values

    public Map<String,String> get_descriptor_values(AbstractMoleculeBuilder mol_build)
    Description copied from interface: `Descriptor`
    Calculates descriptors values.
    Specified by:
      `get_descriptor_values` in interface `Descriptor`
    Parameters:
      `mol_build` - Molecular builder representation.
    Returns:
      Descriptor values mapped as name:value.